aboutsummaryrefslogtreecommitdiffstats
path: root/meta-ruby
diff options
context:
space:
mode:
authorArmin Kuster <akuster808@gmail.com>2015-04-04 12:58:11 -0700
committerMartin Jansa <Martin.Jansa@gmail.com>2015-05-11 10:28:54 +0200
commit5dd01c5175f518658d8ee5627ede4f593111b872 (patch)
tree17cabc1fe63bbc4facd6fe30a8ff755d1d4dadd7 /meta-ruby
parentac1cc7a52ab82bb849af63d5a1a6a027a079548f (diff)
downloadmeta-openembedded-contrib-5dd01c5175f518658d8ee5627ede4f593111b872.tar.gz
meta-openembedded-contrib-5dd01c5175f518658d8ee5627ede4f593111b872.tar.bz2
meta-openembedded-contrib-5dd01c5175f518658d8ee5627ede4f593111b872.zip
libgxim: fix world build issues
ERROR: Nothing PROVIDES 'ruby-native' (but /home/akuster/oss/clean/meta-openembedded/meta-oe/recipes-extended/libgxim/libgxim_0.5.0.bb DEPENDS on or otherwise requires it). Close matches: db-native bc-native byacc-native ERROR: Required build target 'libgxim' has no buildable providers. Missing or unbuildable dependency chain was: ['libgxim', 'ruby-native'] move libgxim from meta-oe to meta-ruby, it really belongs in meta-gir but it is un-maintained. Signed-off-by: Armin Kuster <akuster808@gmail.com>
Diffstat (limited to 'meta-ruby')
-rw-r--r--meta-ruby/recipes-extended/libgxim/libgxim/multi-line-ACLOCAL_AMFLAGS-isnot-supported-by-autoreconf.patch21
-rw-r--r--meta-ruby/recipes-extended/libgxim/libgxim_0.5.0.bb25
2 files changed, 46 insertions, 0 deletions
diff --git a/meta-ruby/recipes-extended/libgxim/libgxim/multi-line-ACLOCAL_AMFLAGS-isnot-supported-by-autoreconf.patch b/meta-ruby/recipes-extended/libgxim/libgxim/multi-line-ACLOCAL_AMFLAGS-isnot-supported-by-autoreconf.patch
new file mode 100644
index 0000000000..3d293b473e
--- /dev/null
+++ b/meta-ruby/recipes-extended/libgxim/libgxim/multi-line-ACLOCAL_AMFLAGS-isnot-supported-by-autoreconf.patch
@@ -0,0 +1,21 @@
+multi-line ACLOCAL_AMFLAGS isn't supported by autoreconf.
+It will cause configure error as follow.
+
+ aclocal: error: non-option arguments are not accepted: '\'.
+
+Signed-off-by: Bian Naimeng <biannm@cn.fujitsu.com>
+
+diff -Nurp libgxim-0.5.0.orig/Makefile.am libgxim-0.5.0/Makefile.am
+--- libgxim-0.5.0.orig/Makefile.am 2012-12-13 15:48:09.000000000 +0800
++++ libgxim-0.5.0/Makefile.am 2014-12-19 11:05:50.727209821 +0800
+@@ -2,9 +2,7 @@ NULL =
+ AUTOMAKE_OPTIONS = dist-bzip2
+ SUBDIRS = libgxim m4macros po tests docs
+
+-ACLOCAL_AMFLAGS = \
+- -I m4macros \
+- $(NULL)
++ACLOCAL_AMFLAGS = -I m4macros $(NULL)
+
+ CONFIGURE_DEPENDENCIES = \
+ requires \
diff --git a/meta-ruby/recipes-extended/libgxim/libgxim_0.5.0.bb b/meta-ruby/recipes-extended/libgxim/libgxim_0.5.0.bb
new file mode 100644
index 0000000000..0b4b743a88
--- /dev/null
+++ b/meta-ruby/recipes-extended/libgxim/libgxim_0.5.0.bb
@@ -0,0 +1,25 @@
+SUMMARY = "GObject-based XIM protocol library"
+DESCRIPTION = "libgxim is a X Input Method protocol library that is implemented by GObject.\
+this library helps you to implement XIM servers or client applications to\
+communicate through XIM protocol without using Xlib API directly, particularly\
+if your application uses GObject-based main loop.\
+\
+This package contains the shared library."
+
+HOMEPAGE = "http://code.google.com/p/libgxim/"
+SECTION = "System Environment/Libraries"
+
+SRC_URI = "https://bitbucket.org/tagoh/libgxim/downloads/${BPN}-${PV}.tar.bz2 \
+ file://multi-line-ACLOCAL_AMFLAGS-isnot-supported-by-autoreconf.patch"
+
+SRC_URI[md5sum] = "4bb1fa63d00eb224439d413591c29a6a"
+SRC_URI[sha256sum] = "75e20d1744139644f9951b78ea3910b162d3380302315cb4b3d0640f23694c79"
+
+LICENSE = "LGPLv2+"
+LIC_FILES_CHKSUM = "\
+file://COPYING;md5=2d5025d4aa3495befef8f17206a5b0a1"
+
+EXTRA_OECONF = " --disable-static --disable-rebuilds"
+DEPENDS += "gtk+ glib-2.0 ruby-native"
+
+inherit autotools pkgconfig